Cantera 2.6.0

Public Attributes | List of all members
atomicWeightData Struct Reference

## Public Attributes
string | symbol
| Element symbol, first letter capitalized. More...
string | fullName
| Element full name, first letter lowercase. More...
double | atomicWeight
| Element atomic weight in kg / kg-mol, if known. -1 if no stable isotope. More...

## Detailed Description

Database for atomic weights Values are used from CIAAW. Atomic weights of the elements 2017 when a single value is given. Available online at http://www.ciaaw.org/atomic-weights.htm

When a range of values is given in the CIAAW table, the "conventional atomic weight" from the IUPAC Periodic Table is used. Available online at https://iupac.org/wp-content/uploads/2018/12/IUPAC_Periodic_Table-01Dec18.pdf

If no value is given in either source, it is because no stable isotopes of that element are known and the atomic weight of that element is listed here as -1.0

units = kg / kg-mol (or equivalently gm / gm-mol)

This structure was picked because it's simple, compact, and extensible.

Definition at line 35 of file Elements.cpp.

## Member Data Documentation

## ◆ symbol

string symbol

Element symbol, first letter capitalized.

Definition at line 36 of file Elements.cpp.

Referenced by Cantera::getElementSymbol().

## ◆ fullName

string fullName

Element full name, first letter lowercase.

Definition at line 37 of file Elements.cpp.

Referenced by Cantera::getElementName().

## ◆ atomicWeight

double atomicWeight

Element atomic weight in kg / kg-mol, if known. -1 if no stable isotope.

Definition at line 38 of file Elements.cpp.

Referenced by Cantera::getElementWeight().

The documentation for this struct was generated from the following file:

- Elements.cpp